package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiSensorQueryParamDto;
import com.huatek.busi.vo.BusiSensorVo;

/**
 * 其他类外挂设备传感器
 * 
 * @author buck_guo
 * @date 2019/09/11
 */
@Repository
public interface BusiGisSensorMapper {

    /**
     * @Title: page @Description: 分页 @createDate: Jul 18, 2019 3:41:03 PM @param equipmentId 外挂设备树ID @return
     *         Page<BusiSensorVo> @throws
     */
    Page<BusiSensorVo> page(@Param("equipmentId") String equipmentId);

    List<BusiSensorVo> querySensorByEquipmentId(@Param("equipmentId") String equipmentId);
    /**
     * sensor查询方法
     * 
     * @param param
     *            参数
     * @return sensor列表
     */
    List<BusiSensorVo> findSensorList(BusiSensorQueryParamDto param);

    /**
     * 校验当前sensor是否存在
     */
    Integer checkSensorCode(@Param("sensorCode") String sensorCode, @Param("id") String id);

    BusiSensorVo getBusiSensorVo(@Param("sensorCode") String sensorCode);

    BusiSensorVo getBusiSensorVoById(@Param("id") String id);
    
    int findSensorCount(@Param("equipmentType") String equipmentType);
}